@import url('https://fonts.googleapis.com/css2?family=Akt:wght@100..900&display=swap');

.akt {
    font-family: "Akt", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

/*GENERAL*/

:root {
    --color1: #006effd5;
    --color2: #006eff;
}

a {
    text-decoration: none;
}

.titulos {
    color: white;
}

.navbar-toggler:focus {
    outline: none;
    box-shadow: none;
}

/*HEADER*/

/*redes*/
.barrita {
    background: var(--color2);
    color: rgb(73, 73, 73);
}

.barrita a {
    color: white;
}

.redes i {
    color: white;
}

/*navbar*/

.navbar {
    background-color: var(--color1) !important;
}

.navbar a {
    color: white;
}

.navbar-toggler:focus-visible {
    outline: none !important;
    box-shadow: none !important;
}

.logos {
    width: 60px;
    filter: invert(1);
}

#gesfor {
    text-shadow: 2px 2px 10px var(--color2);
    transition: 0.5s;
}

#gesfor:hover {
    background: linear-gradient(90deg, #13efff, #d9ff00);
    background-clip: text;
    -webkit-text-fill-color: transparent;   
}

.navbar-toggler {
    border: none;
}

/*INICIO*/
/*hero con carrusel*/

.carrusel img {
    object-fit: cover;
    height: 70vh;
}

.hero-contenido {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    text-align: center;
    color: white;
}

.hero-contenido h1 {
    font-size: 3rem;
    font-weight: 900;
    text-shadow: 2px 2px 15px black;
}

.hero-contenido p {
    text-shadow: 2px 2px 2px black;
}

.hero-contenido a {
    border-radius: 20px;
}

.info {
    background-color: rgba(0, 119, 255, 0.493);
    text-shadow: 2px 2px 2px black;
}

/*SERVICIOS*/

.servicios {
    background-image: url(../img/servicios5.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

@media (max-width:992px) {
    .servicios {
        background-image: url(../img/servicios5sm.jpg);
    }
}

.servicios article {
    height: 800px;
}

.fila {
    padding-block-end: 150px;
}

h2 {
    background-color: #006eff3d;
    backdrop-filter: blur(10px);
    width: 350px;
    border-radius: 30px;
    justify-self: center;
}

.servicio {
    border-radius: 30px;
    background: transparent;
    backdrop-filter: invert(10%) blur(10px);
}

.servicio .card-body {
    justify-content: space-between;
}

.servicio h5 {
    display: flex;
    justify-content: center;
    align-items: end;
    flex-grow: 1;
    color: white;
    font-size: 2.5rem !important;
}

.servicio p {
    min-height: 80px;
    align-self: end;
    display: flex;
    align-items: start;
    color: white;
    font-weight: 300;
    font-size: 1.1rem;
}

.servicio a {
    border-radius: 30px;
    width: 70%;
    align-self: center;
    font-size: 1.2rem;
}

.servicio img {
    width: 80%;
    margin-block: 50px;
    align-self: center;
}

@media (max-width:992px) {
    .servicio img {
        padding: 140px;
    }
}

/*NOTICIAS*/

.noticias {
    background-image: url(../img/noticias.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.noticia {
    min-height: 600px;
}

.noticia h5 {
    background-color: #006effd3;
    font-size: 2rem !important;
    padding: 20px;
    color: white;
    border-radius: 20px;
}

.noticia p {
    background-color: rgba(0, 0, 0, 0.596);
    color: white;
    font-weight: 300;
    font-size: 1.5rem;
    border-radius: 20px;
    padding: 20px;
}

.noticia a {
    align-self: end;
    border-radius: 20px;
    background-color: #006eff91;
    margin-block-start: auto;
    font-size: 1.5rem;
}

.noticia div {
    border-radius: 30px;
    box-shadow: 0px 0px 5px white;
    transition: 0.3s;
}

.noticia div:hover {
    box-shadow: 0px 0px 20px white;
}

.noticia1 {
    background-image: url(../img/noticia1.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.noticia2 {
    background-image: url(../img/noticia2.gif);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.noticia3 {
    background-image: url(../img/noticia3.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.noticia4 {
    background-image: url(../img/noticia4.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/*CONTACTO*/

footer {
    background: linear-gradient(var(--color2), black);
}

.footbar {
    background-color: var(--color2);
}

.footbar>div>a {
    color: white;
}

footer img {
    width: 60px;
}

#mapa iframe {
    border-radius: 20px;
    max-height: 500px;
}

#infopie, #infopie a, #redes {
    color: wheat;
    text-shadow: 2px 2px 5px black;
}

#redes {
    font-size: 20px;
}

#infopie h4 {
    color: var(--color2);
}

#infopie a:hover {
    color: white;
    transition: 0.3s ease;
}

#legal {
    color: var(--color2);
}

@media (max-width:768px) {
    #infopie > div div {
        margin-block:30px;
    }
}

/*Formulario Modal*/

.ventana {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(19, 45, 61, 0.479);
    backdrop-filter: blur(6px);
    z-index: 10;
    align-items: center;
    justify-content: center;
}

.ventana.activo {
    display: flex;
}

.cajaform {
    background: linear-gradient(var(--color1), rgba(10, 14, 255, 0.322));
    border-radius: 20px;
    padding: 3rem;
    width: 100%;
    max-width: 500px;
    max-height: 90vh;
    overflow-y: auto;
    animation: aparecer 0.4s ease;
    color: white;
    font-size: 1.2rem;
    font-weight: 300;
    text-shadow: 2px 2px 5px black;
}

@keyframes aparecer {
    from {
        transform: translateY(200px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.cajaform.cerrando {
    animation: desaparecer 0.2s ease forwards;
}


@keyframes desaparecer {
    to {
        transform: translateY(200px);
        opacity: 0;
    }
}

.cabecera {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2rem;
}

#formulario input,
textarea {
    width: 100%;
    border: none;
    border-radius: 20px;
}

#cajaform .btn {
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.418);
}